Bug 532286

Summary: Review Request: treeline - Store almost any kind of information in a tree structure
Product: [Fedora] Fedora Reporter: Thomas Janssen <thomasj>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: bugs.michael, fedora-package-review, jsaucier, notting
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-01-27 16:40:42 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 201449    

Description Thomas Janssen 2009-11-01 02:35:12 EST
Spec URL: http://thomasj.fedorapeople.org/reviews/treeline.spec
SRPM URL: http://thomasj.fedorapeople.org/reviews/treeline-1.2.4-1.fc11.src.rpm
Description: 

TreeLine is a versatile tool for working with all kinds of information
that fit into a tree-like structure.

It can be used to edit bookmark files, create mini-databases (for
example, for addresses, tasks, records, or CDs), outline documents, or
just collect ideas. It can also be used as a generic editor for XML
files.

The data schemas for any node in the data tree can be customized and
new types of nodes can be defined. The way data is presented on the
screen, exported to HTML, or printed can be defined with HTML-like
templates. Plug-ins can be written to load and save data from and to
custom file formats or external data sources and extend the
functionality of TreeLine.

TreeLine is written in Python and uses the PyQt bindings to the Qt
toolkit, which makes it very portable.

[thomas@tusdell SPECS]$ rpmlint treeline.spec ../SRPMS/treeline-1.2.4-1.fc11.src.rpm ../RPMS/x86_64/treeline-*fc11*
treeline.x86_64: E: no-binary
treeline-libs.x86_64: W: no-documentation
3 packages and 1 specfiles checked; 1 errors, 1 warnings.

http://koji.fedoraproject.org/koji/taskinfo?taskID=1780865
Comment 1 Jean-Francois Saucier 2010-01-03 00:35:52 EST
> treeline.x86_64: E: no-binary

I think you should add this to your spec file to specify that your package is not arch specific :

BuildArch: noarch
Comment 2 Thomas Janssen 2010-01-04 15:41:29 EST
(In reply to comment #1)
> > treeline.x86_64: E: no-binary
> 
> I think you should add this to your spec file to specify that your package is
> not arch specific :
> 
> BuildArch: noarch  

Erm.. But you have seen that there's a -libs subpackage?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Jean-Francois Saucier 2010-01-04 15:48:35 EST
My error, excuse me, I didn't see the *fc11* in your rpmlint command.
Comment 4 Michael Schwendt 2010-01-04 16:59:35 EST
> have seen that there's a -libs subpackage?

Yes.  The package contents are .noarch nevertheless.


And it's broken currently:

$ sudo rpm -i treeline-1.2.4-1.fc12.i686.rpm
$ treeline 
/usr/bin/python: can't open file '/usr/lib/python2.6/site-packages/treeline/treeline.py': [Errno 2] No such file or directory

What's the rationale for this strange -libs split-off?


> Requires:       PyQt4, python, qt, aspell

https://fedoraproject.org/wiki/Packaging:Guidelines#Explicit_Requires
plus: "qt" is redundant, and treeline doesn't need it directly anyway
plus: "python" is redundant, because the Python ABI dependency is automatic for the treeline module

> BuildRequires:  python, python-devel, desktop-file-utils, dos2unix
> PyQt4, qt, aspell

Same redundancy here. python-devel requires python, PyQt4 requires qt


The fix for --short-circuit builds:

--- treeline.spec.orig  2010-01-04 22:58:05.000000000 +0100
+++ treeline.spec       2010-01-04 22:58:26.000000000 +0100
@@ -67,7 +67,7 @@
 rm -rf %{buildroot}
 python install.py -b %{buildroot}
 
-mkdir __doc
+rm -rf __doc ; mkdir __doc
 mv  %{buildroot}%{_datadir}/doc/%{name}/* __doc
 rm -rf %{buildroot}%{_datadir}/doc/%{name}
Comment 5 Thomas Janssen 2010-01-27 16:40:42 EST
I thought a long time about that package now, fixed it even. Jean-Francois, you were of course right. Michael thanks and sorry.

It was one of my early review requests and my first python package. Confused me obviously a bit. Since i became the maintainer of two other solutions who fulfill the same functionality (basket, incollector), i lost the interest in that one.

I will close it.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers